aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLibravatarUnit 193 <unit193@ubuntu.com>2019-04-07 00:11:33 -0400
committerLibravatarUnit 193 <unit193@ubuntu.com>2019-04-07 00:14:14 -0400
commite835cd8d5dece7ff0183ede9df5b627494ed848b (patch)
tree4e9a721f805a5921ac350f007e7db4b538bc3521
parent5140318f8f758141b4e350871db1fe869eb858dc (diff)
downloadhopm-e835cd8d5dece7ff0183ede9df5b627494ed848b.tar.bz2
hopm-e835cd8d5dece7ff0183ede9df5b627494ed848b.tar.xz
hopm-e835cd8d5dece7ff0183ede9df5b627494ed848b.tar.zst
Import Debian changes 1.1.5-0vanir1debian/1.1.5-0vanir1
hopm (1.1.5-0vanir1) unstable; urgency=medium * Initial release.
-rw-r--r--debian/changelog5
-rw-r--r--debian/compat1
-rw-r--r--debian/control21
-rw-r--r--debian/copyright29
-rw-r--r--debian/dirs1
-rw-r--r--debian/gbp.conf3
-rwxr-xr-xdebian/init.d66
-rw-r--r--debian/postinst21
-rw-r--r--debian/postrm14
-rwxr-xr-xdebian/rules21
-rw-r--r--debian/source/format1
-rw-r--r--debian/watch2
12 files changed, 185 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..05dbf80
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+hopm (1.1.5-0vanir1) unstable; urgency=medium
+
+ * Initial release.
+
+ -- Unit 193 <unit193@ubuntu.com> Sun, 07 Apr 2019 00:11:33 -0400
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..b4de394
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+11
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..edc6cc5
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,21 @@
+Source: hopm
+Section: net
+Priority: optional
+Maintainer: Unit 193 <unit193@ubuntu.com>
+Build-Depends: debhelper (>= 11), bison, flex, libssl-dev
+Standards-Version: 4.3.0
+Homepage: https://github.com/ircd-hybrid/hopm/
+Vcs-Browser: https://loki.unit193.net/cgit/users/unit193/hopm.git/
+Vcs-Git: https://loki.unit193.net/cgit/users/unit193/hopm.git
+
+Package: hopm
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Description: open-proxy monitoring bot designed for IRC servers
+ HOPM (Hybrid Open Proxy Monitor) is an open-proxy monitoring bot designed to
+ monitor an individual server (all servers on the network have to run their own
+ bot if the IRCD does not support `farconnect` user mode) with a local
+ operator {} block and monitor connections. When a client connects to a server,
+ HOPM will scan the connection for insecure proxies. Insecure proxies are
+ determined by attempting to connect the proxy back to another host (usually the
+ IRC server in question).
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..c9205e1
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,29 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: hopm
+Source: https://github.com/ircd-hybrid/hopm/
+
+Files: *
+Copyright: 2002-2003 Erik Fears
+ 2014-2018 ircd-hybrid development team
+License: GPL-2+
+
+Files: debian/*
+Copyright: 2018-2019 Unit 193 <unit193@ubuntu.com>
+License: GPL-2+
+
+License: GPL-2+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <https://www.gnu.org/licenses/>
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
diff --git a/debian/dirs b/debian/dirs
new file mode 100644
index 0000000..359b438
--- /dev/null
+++ b/debian/dirs
@@ -0,0 +1 @@
+var/log/hopm
diff --git a/debian/gbp.conf b/debian/gbp.conf
new file mode 100644
index 0000000..5474c60
--- /dev/null
+++ b/debian/gbp.conf
@@ -0,0 +1,3 @@
+[DEFAULT]
+pristine-tar = True
+sign-tags = True
diff --git a/debian/init.d b/debian/init.d
new file mode 100755
index 0000000..13aed7d
--- /dev/null
+++ b/debian/init.d
@@ -0,0 +1,66 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: hopm
+# Required-Start: $remote_fs
+# Required-Stop: $remote_fs
+# Should-Start: hopm
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Hybrid Open Proxy Monitor
+### END INIT INFO
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/hopm
+NAME=hopm
+DESC="hopm scanner"
+USER="irc"
+GROUP="irc"
+PIDDIR=/run/hopm
+PIDFILE=$PIDDIR/hopm.pid
+
+test -f $DAEMON || exit 0
+
+. /lib/lsb/init-functions
+
+# Source defaults file; edit that file to configure this script.
+if [ -e /etc/default/hopm ]; then
+ . /etc/default/hopm
+fi
+
+
+case "$1" in
+ start)
+ if [ ! -d $PIDDIR ]; then
+ mkdir -p $PIDDIR
+ chown $USER:$USER $PIDDIR
+ fi
+ log_daemon_msg "Starting $DESC" "$NAME"
+ start-stop-daemon --start --quiet --user $USER --chuid $USER:$GROUP --pidfile $PIDFILE --exec $DAEMON
+ log_end_msg $?
+ ;;
+ stop)
+ log_daemon_msg "Stopping $DESC" "$NAME"
+ start-stop-daemon --stop --quiet --user $USER --pidfile $PIDFILE --exec $DAEMON
+ log_end_msg $?
+ ;;
+ restart|force-reload)
+ $0 stop
+ sleep 2
+ $0 start
+ ;;
+ reload|force-reload)
+ log_daemon_msg "Reloading $DESC" "$NAME"
+ start-stop-daemon --stop --quiet --user $USER --signal HUP --pidfile $PIDFILE
+ log_end_msg $?
+ ;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..412cc54
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ chown irc:adm /var/log/hopm
+ chgrp irc /etc/hopm/hopm.conf
+ chmod g+r,o-rwx /etc/hopm/hopm.conf
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "ERROR: Postinst called with unknown argument!"
+ exit 0
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..1a637a5
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ purge)
+ rm -rf /var/log/hopm
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..969a374
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,21 @@
+#!/usr/bin/make -f
+#export DH_VERBOSE = 1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CPPFLAGS_MAINT_APPEND = -DHOPM_LOGDIR="\"$$(localstatedir)/log/hopm\""
+
+%:
+ dh $@
+
+override_dh_auto_configure:
+ dh_auto_configure -- --sysconfdir=/etc/hopm
+
+override_dh_install:
+ sed -e s@var/run/hopm.pid@/run/hopm/hopm.pid@ \
+ -e s@var/log/scan.log@/var/log/hopm/scan.log@ \
+ doc/reference.conf > debian/hopm/etc/hopm/hopm.conf
+ dh_install
+
+override_dh_installinit:
+ dh_installinit --no-enable
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..535e7fd
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,2 @@
+version=4
+https://github.com/ircd-hybrid/hopm/releases .*/([\d.]+)\.tar\.gz debian uupdate